Bug 122031 - FILESAVE Percentage format in pie chart not saved in XLSX format
Summary: FILESAVE Percentage format in pie chart not saved in XLSX format
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.4.0.3 release
Hardware: All All
: medium normal
Assignee: Gülşah Köse
URL:
Whiteboard: target:6.3.0
Keywords: filter:xlsx
Depends on:
Blocks: OOXML-Chart
  Show dependency treegraph
 
Reported: 2018-12-12 02:41 UTC by Aron Budea
Modified: 2019-02-28 21:49 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Sample XLSX (12.92 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2018-12-12 02:41 UTC, Aron Budea
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Aron Budea 2018-12-12 02:41:46 UTC
Created attachment 147454 [details]
Sample XLSX

The attached XLSX was created in Excel, and the percentage format is set to 3 decimals.
Save again in XLSX format in Calc, and reopen (or open in Excel).

=> Percentages are shown with no decimals, in particular:
14.286% -> 14%
28.571% -> 29%
57.143% -> 57%

Seems like percentage format doesn't get saved.
And indeed, opening the result with a version before bug 115182's fix (eg. with 6.1.0.3) shows two decimals, which is how default format was imported at that point.

Observed using LO 6.3.0.0.alpha0+ (2018-12-11, 34d5e910adba4094bba1303284f9552028d0b019) & 4.4.0.3 / Windows 7.
In 4.0.0.3 even the imported format wasn't correct.
Comment 1 Durgapriyanka 2018-12-12 16:40:54 UTC
Thank you for reporting the bug. I can confirm that the bug is present in

Version: 6.1.3.2
Build ID: 86daf60bf00efa86ad547e59e09d6bb77c699acb
CPU threads: 2; OS: Windows 6.1; UI render: default; 
Locale: en-US (en_US); Calc: group threaded
Comment 2 Commit Notification 2019-01-18 19:22:28 UTC
Gülşah Köse committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/102f42fa6398fa7e6bf8e9bcfa4c28c22473cd26%5E%21

tdf#122031 Export number format of chart label to OOXML 

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2019-01-21 19:45:00 UTC
Gülşah Köse committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/1e38d5b976dacd8b42b8330b4b9635a058ffe20b%5E%21

tdf#122031 Change element order for OOXML compatibility.

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2019-01-22 10:29:07 UTC
Gülşah Köse committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/683645aac372fbec37a975af2160bdf67a88549c%5E%21

tdf#122031 Unit test checks pie chart data label format.

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 BogdanB 2019-01-26 13:31:04 UTC
Fixed. 3 decimals on
Version: 6.3.0.0.alpha0+
Build ID: 3424004cca7cb61043800f0ff0acc9de64768276
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-01-26_00:45:09
Locale: ro-RO (ro_RO.UTF-8); UI-Language: en-US
Calc: threaded